## gok-page-wordcomplete

gok-page-wordcomplete

## Synopsis

    gboolean            gok_page_wordcomplete_initialize    (void);
    void                gok_page_wordcomplete_refresh       (void);
    gboolean            gok_page_wordcomplete_apply         (void);
    gboolean            gok_page_wordcomplete_revert        (void);
    void                gok_page_wordcomplete_backup        (void);

## Description

## Details

### gok_page_wordcomplete_initialize ()

    gboolean            gok_page_wordcomplete_initialize    (void);

Returns : |

### gok_page_wordcomplete_refresh ()

    void                gok_page_wordcomplete_refresh       (void);

Refreshes the controls on this page from the gok data.

### gok_page_wordcomplete_apply ()

    gboolean            gok_page_wordcomplete_apply         (void);

Updates the gok data with values from the controls.

Returns : | TRUE if any of the gok data settings have changed, FALSE if not.

### gok_page_wordcomplete_revert ()

    gboolean            gok_page_wordcomplete_revert        (void);

Revert to the backup settings for this page.

Returns : | TRUE if any of the settings have changed, FALSE if they are all still the same.

### gok_page_wordcomplete_backup ()

    void                gok_page_wordcomplete_backup        (void);

Copies all the member settings to backup.